## libselinux 1.18

=== Makefile ===
all: 
	$(MAKE) -C src 
	$(MAKE) -C utils

install: 
	$(MAKE) -C include install
	$(MAKE) -C src install
	$(MAKE) -C utils install
	$(MAKE) -C man install

relabel:

clean:
	$(MAKE) -C src clean
	$(MAKE) -C utils clean
