## libselinux 1.22

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 	$(MAKE) -C utils install
 	$(MAKE) -C man install
 
-relabel:
+relabel: 
+	$(MAKE) -C src relabel
 
 clean:
 	$(MAKE) -C src clean
