=== src/Makefile ===
--- 
+++ 
@@ -11,14 +11,15 @@
 LIBSO=$(TARGET).$(LIBVERSION)
 OBJS= $(patsubst %.c,%.o,$(wildcard *.c))
 LOBJS= $(patsubst %.c,%.lo,$(wildcard *.c))
-CFLAGS = -Wall
-override CFLAGS += -I../include -D_GNU_SOURCE
+CFLAGS = -Wall -W -Wundef -Wmissing-noreturn -Wmissing-format-attribute
+override CFLAGS += -I../include -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
+RANLIB=ranlib
 
 all: $(LIBA) $(LIBSO)
 
 $(LIBA):  $(OBJS)
 	$(AR) rcs $@ $^
-	ranlib $@
+	$(RANLIB) $@
 
 $(LIBSO): $(LOBJS)
 	$(CC) $(LDFLAGS) -shared -o $@ $^ -Wl,-soname,$(LIBSO),-z,defs
@@ -37,6 +38,9 @@
 	install -m 755 $(LIBSO) $(SHLIBDIR)
 	cd $(LIBDIR) && ln -sf ../../`basename $(SHLIBDIR)`/$(LIBSO) $(TARGET)
 
+relabel:
+	/sbin/restorecon $(SHLIBDIR)/$(LIBSO)
+
 clean: 
 	rm -f $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(TARGET)
