=== utils/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # Installation directories.
 PREFIX ?= $(DESTDIR)/usr
-BINDIR ?= $(PREFIX)/bin
+BINDIR ?= $(PREFIX)/sbin
 
 CFLAGS = -Wall
-override CFLAGS += -I../include
+override CFLAGS += -I../include -D_GNU_SOURCE
 LDLIBS += -L../src -lselinux 
 
 TARGETS=$(patsubst %.c,%,$(wildcard *.c))
