=== utils/Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 # Installation directories.
 PREFIX ?= $(DESTDIR)/usr
+LIBDIR ?= $(PREFIX)/lib
 BINDIR ?= $(PREFIX)/sbin
 
-CFLAGS = -Wall
+CFLAGS ?= -Wall
 override CFLAGS += -I../include -D_GNU_SOURCE
-LDLIBS += -L../src -lselinux 
+LDLIBS += -L../src -lselinux -lsepol -L$(LIBDIR)
 
 TARGETS=$(patsubst %.c,%,$(wildcard *.c))
