=== src/Makefile ===
--- 
+++ 
@@ -26,7 +26,9 @@
 
 SWIG = swig -Wall -python -o $(SWIGCOUT) -outdir ./
 
-all: $(LIBA) $(LIBSO) $(SWIGSO)
+all: $(LIBA) $(LIBSO) 
+
+pywrap: $(SWIGSO)
 
 $(LIBA):  $(OBJS)
 	$(AR) rcs $@ $^
@@ -39,7 +41,7 @@
 	$(CC) $(LDFLAGS) -shared -o $@ $< -L. -lselinux -L$(LIBDIR) -Wl,-soname,$@
 
 $(LIBSO): $(LOBJS)
-	$(CC) $(LDFLAGS) -shared -o $@ $^ -ldl -lsepol -L$(LIBDIR) -Wl,-soname,$(LIBSO),-z,defs
+	$(CC) $(LDFLAGS) -shared -o $@ $^ -ldl -lsepol -L$(LIBDIR) -Wl,-soname,$(LIBSO),-z,defs,-z,relro
 	ln -sf $@ $(TARGET) 
 
 %.o:  %.c policy.h
@@ -54,14 +56,14 @@
 swigify: $(SWIGIF)
 	$(SWIG) $^
 
-install: all install-pywrap
+install: all 
 	test -d $(LIBDIR) || install -m 755 -d $(LIBDIR)
 	install -m 644 $(LIBA) $(LIBDIR)
 	test -d $(SHLIBDIR) || install -m 755 -d $(SHLIBDIR)
 	install -m 755 $(LIBSO) $(SHLIBDIR)
 	cd $(LIBDIR) && ln -sf ../../`basename $(SHLIBDIR)`/$(LIBSO) $(TARGET)
 
-install-pywrap: 
+install-pywrap: pywrap
 	test -d $(PYTHONLIBDIR)/site-packages || install -m 755 -d $(PYTHONLIBDIR)/site-packages
 	install -m 755 $(SWIGFILES) $(PYTHONLIBDIR)/site-packages
