## libselinux 1.32

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,13 @@
 relabel: 
 	$(MAKE) -C src relabel
 
-clean:
-	$(MAKE) -C src clean
+clean distclean:
+	$(MAKE) -C src $@
 	$(MAKE) -C utils clean
 
+indent:
+	$(MAKE) -C src $@
+	$(MAKE) -C utils $@
+	$(MAKE) -C include $@
+
+test:
