=== include/Makefile ===
--- 
+++ 
@@ -5,3 +5,7 @@
 install:
 	test -d $(INCDIR) || install -m 755 -d $(INCDIR)
 	install -m 644 $(wildcard selinux/*.h) $(INCDIR)
+
+indent:
+	../../Lindent $(wildcard selinux/*.h)
+
