=== src/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 LIBDIR ?= $(PREFIX)/lib
 SHLIBDIR ?= $(DESTDIR)/lib
 INCLUDEDIR ?= $(PREFIX)/include
-PYLIBVER ?= python2.4
+PYLIBVER ?= $(shell python -c 'import sys;print "python%d.%d" % sys.version_info[0:2]')
 PYINC ?= /usr/include/$(PYLIBVER)
 PYLIB ?= /usr/lib/$(PYLIBVER)
 PYTHONLIBDIR ?= $(LIBDIR)/$(PYLIBVER)
@@ -24,11 +24,18 @@
 override CFLAGS += -I../include -I$(INCLUDEDIR) -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
 RANLIB=ranlib
 
+ARCH := $(patsubst i%86,i386,$(shell uname -m))
+ifneq (,$(filter i386,$(ARCH)))
+TLSFLAGS += -mno-tls-direct-seg-refs
+endif
+
 SWIG = swig -Wall -python -o $(SWIGCOUT) -outdir ./
+
+GENERATED=$(SWIGCOUT)
 
 all: $(LIBA) $(LIBSO) 
 
-pywrap: $(SWIGSO)
+pywrap: all $(SWIGSO)
 
 $(LIBA):  $(OBJS)
 	$(AR) rcs $@ $^
@@ -45,7 +52,7 @@
 	ln -sf $@ $(TARGET) 
 
 %.o:  %.c policy.h
-	$(CC) $(CFLAGS) -c -o $@ $<
+	$(CC) $(CFLAGS) $(TLSFLAGS) -c -o $@ $<
 
 %.lo:  %.c policy.h
 	$(CC) $(CFLAGS) -fpic -DSHARED -c -o $@ $<
@@ -73,3 +80,9 @@
 clean: 
 	-rm -f $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(SWIGLOBJ) $(SWIGSO) $(TARGET) 
 
+distclean: clean
+	rm -f $(SWIGCOUT) $(SWIGFILES)
+
+indent:
+	../../Lindent $(filter-out $(GENERATED),$(wildcard *.[ch]))
+
