=== utils/Makefile ===
--- 
+++ 
@@ -18,5 +18,8 @@
 clean:
 	rm -f $(TARGETS) *.o 
 
+indent:
+	../../Lindent $(wildcard *.[ch])
+
 relabel:
