## libselinux 2.0.15

=== src/Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	$(RANLIB) $@
 
 $(SWIGLOBJ): $(SWIGCOUT)
-	$(CC) $(CFLAGS) -I$(PYINC) -fpic -DSHARED -c -o $@ $<
+	$(CC) $(CFLAGS) -I$(PYINC) -fPIC -DSHARED -c -o $@ $<
 
 $(SWIGSO): $(SWIGLOBJ)
 	$(CC) $(LDFLAGS) -shared -o $@ $< -L. -lselinux -L$(LIBDIR) -Wl,-soname,$@
@@ -55,7 +55,7 @@
 	$(CC) $(CFLAGS) $(TLSFLAGS) -c -o $@ $<
 
 %.lo:  %.c policy.h
-	$(CC) $(CFLAGS) -fpic -DSHARED -c -o $@ $<
+	$(CC) $(CFLAGS) -fPIC -DSHARED -c -o $@ $<
 
 $(SWIGCOUT): $(SWIGIF)
 	$(SWIG) $^
@@ -84,5 +84,5 @@
 	rm -f $(SWIGCOUT) $(SWIGFILES)
 
 indent:
-	../../Lindent $(filter-out $(GENERATED),$(wildcard *.[ch]))
+	../../scripts/Lindent $(filter-out $(GENERATED),$(wildcard *.[ch]))
