=== utils/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	rm -f $(TARGETS) *.o 
 
 indent:
-	../../Lindent $(wildcard *.[ch])
+	../../scripts/Lindent $(wildcard *.[ch])
 
 relabel:
