## libselinux 2.0.55

=== include/Makefile ===
--- 
+++ 
@@ -7,5 +7,5 @@
 	install -m 644 $(wildcard selinux/*.h) $(INCDIR)
 
 indent:
-	../../Lindent $(wildcard selinux/*.h)
+	../../scripts/Lindent $(wildcard selinux/*.h)
