=== debian/control ===
Source: libselinux
VCS-Arch: http://arch.debian.org/arch/private/srivasta/grab/libselinux
VCS-Browser: http://arch.debian.org/cgi-bin/archzoom.cgi/srivasta@debian.org--lenny/libselinux?expand
Priority: optional
Section: libs
Maintainer: Thomas Maass <inyourface@gmx.de>
Standards-Version: 3.8.0.0
Build-Depends: file, libsepol1-dev (>= 2.0.25), python-all-dev (>= 2.3.5-11), swig
XS-Python-Version: >= 2.4

Package: selinux-utils
Architecture: any
Section: admin
Depends: ${shlibs:Depends}
Description: SELinux utility programs
 This package provides various utility programs for a Security-enhanced
 Linux system. Security-enhanced Linux is a patch of the Linux kernel
 and a number of utilities with enhanced security functionality
 designed to add mandatory access controls to Linux. This package
 provides utility programs to get and set process and file security
 contexts and to obtain security policy decisions.

Package: libselinux1
Architecture: any
Section: libs
Priority: required
Depends: ${shlibs:Depends}
Description: SELinux shared libraries
 This package provides the shared libraries for Security-enhanced
 Linux. Security-enhanced Linux is a patch of the Linux kernel and a
 number of utilities with enhanced security functionality designed to
 add mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement, Role-based Access
 Control, and Multi-level Security.
 .
 libselinux1 provides an API for SELinux applications to get and set
 process and file security contexts and to obtain security policy
 decisions.  Required for any applications that use the SELinux API.


Package: libselinux1-dev
Architecture: any
Depends: ${shlibs:Depends},  libselinux1 (= ${binary:Version}), libsepol1-dev (>= 1.12)
Section: libdevel
Provides: libselinux-dev
Conflicts: libselinux-dev
Description: SELinux development headers
 This package provides the  static libraries and header files
 needed for developing SELinux applications.  Security-enhanced Linux
 is a patch of the Linux kernel and a number of utilities with
 enhanced security functionality designed to add mandatory access
 controls to Linux.  The Security-enhanced Linux kernel contains new
 architectural components originally developed to improve the security
 of the Flask operating system. These architectural components provide
 general support for the enforcement of many kinds of mandatory access
 control policies, including those based on the concepts of Type
 Enforcement, Role-based Access Control, and Multi-level Security.

Package: python-selinux
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, python-support (>= 0.7.1)
Section: python
Conflicts: python2.4-selinux (<= 1.30-1), libselinux-dev (<= 1.28-1)
Replaces: python2.4-selinux, libselinux-dev
Provides: ${python:Provides}
Description: Python bindings to SELinux shared libraries
 This package provides the Python bindings needed for developing Python 
 SELinux applications.  Security-enhanced Linux is a patch of the
 Linux kernel and a number of utilities with enhanced security
 functionality designed to add mandatory access controls to Linux.
 The Security-enhanced Linux kernel contains new architectural
 components originally developed to improve the security of the Flask
 operating system. These architectural components provide general
 support for the enforcement of many kinds of mandatory access control
 policies, including those based on the concepts of Type Enforcement,
 Role-based Access Control, and Multi-level Security.
