## libselinux 2.1.0

=== debian/changelog ===
libselinux (2.1.0-4) unstable; urgency=low

  * Put /selinux back in libselinux1
    Closes: #647035

 -- Russell Coker <russell@coker.com.au>  Mon, 31 Oct 2011 13:50:56 +1100

libselinux (2.1.0-3) unstable; urgency=low

  * Accept Kyle's changes.
    Closes: #645121
  * Merge Steve McIntyre's patch for cross compilation.
    Closes: #630626
  * Use two paragraphs for long description.
    Closes: #637369

 -- Russell Coker <russell@coker.com.au>  Fri, 28 Oct 2011 23:17:30 +1100

libselinux (2.1.0-2) UNRELEASED; urgency=low

  * Move manpages for privileged commands "setenforce" and "togglesebool" to
    section 8 where they belong.
  * Fix other manpages which refer to "selinuxenabled" and "getenforce" to
    find them in section 1.
  * Convert to Debian source format "3.0 (quilt)".  This allows us to break
    apart the changes-to-upstream into multiple patches with descriptions.
    - fix-makefile-bugs.patch
    - fix-manpages.patch
    - hide-library-destructors.patch
  * Change "Architecture" to "linux-any" to reflect build requirements.
  * Completely rewrite Debian packaging to use debhelper.  This has a very
    positive effect on the build time (97 sec => 64 sec) and dramatically
    reduces the size of the packaging metadata:
      46 files changed, 441 insertions(+), 2833 deletions(-)
    Note that half of the inserted lines are the new broken-out patches.
  * Comply with new Ruby packaging conventions (using gem2deb/dh_ruby)
    - Rename ruby package to "ruby-selinux"
    - Add support for ruby1.9.1
  * Comply with new Python packaging conventions (use dh_python2)

 -- Kyle Moffett <Kyle.D.Moffett@boeing.com>  Thu, 13 Oct 2011 13:25:54 -0400

libselinux (2.1.0-1) unstable; urgency=low

  * New upstream release
  * Add symbols fini_selinuxmnt selinux_file_context_subs_dist_path
    selinux_status_close selinux_status_deny_unknown selinux_status_getenforce
    selinux_status_open selinux_status_policyload selinux_status_updated
  * Remove symbol selabelsublist which should never have been exported (it
    couldn't be used by outside code).
  * Made myself the maintainer as Manoj has been busy with paid work.
  * Made it build-depend on the latest libsepol1-dev.

 -- Russell Coker <russell@coker.com.au>  Tue, 30 Aug 2011 14:33:45 +1000

libselinux (2.0.98-1.1) unstable; urgency=low

  * Non-maintainer upload with permission of the maintainer.
  * Build for multiarch, setting Pre-Depends multiarch-support in our shared
    lib package.
  * Always use -n with gzip, to avoid encoding timestamps in the gzip file;
    this ensures compressed docs and other files are identical across
    multiple builds, required for multiarch.

 -- Steve Langasek <vorlon@debian.org>  Tue, 21 Jun 2011 07:24:02 +0000

libselinux (2.0.98-1) unstable; urgency=low

  * New upstream release
    + Turn off default user handling when computing user contexts by Dan Walsh
    + Thread local storage fixes from Eamon Walsh.
  * Added myself to the uploaders and changed the source URL.
  * Made selabelsublist optional in the libselinux1.symbols file, it was
    supposed to be private and there seems no possibility that anyone could
    have used it without causing a crash so there seems no harm in removing it.

 -- Russell Coker <russell@coker.com.au>  Thu, 31 Mar 2011 23:14:03 +1100

libselinux (2.0.96-1) unstable; urgency=low

  * New upstream release
    + Add const qualifiers to public API where appropriate by KaiGai
      Kohei.
    + Remove duplicate slashes in paths in selabel_lookup from Chad Sellers
    + Adds a chcon method to the libselinux python bindings from Steve Lawrence

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Jul 2010 23:27:20 -0700

libselinux (2.0.94-1) unstable; urgency=low

  * New upstream release
    * Set errno=EINVAL for invalid contexts from Dan Walsh.
    * Show strerror for security_getenforce() by Colin Walters.
    * Merged selabel database support by KaiGai Kohei.
    * Modify netlink socket blocking code by KaiGai Kohei.
    * Fix from Eric Paris to fix leak on non-selinux systems.
    * regenerate swig wrappers
    * pkgconfig fix to respect LIBDIR from Dan Walsh.
    * Change the AVC to only audit the permissions specified by the
      policy, excluding any permissions specified via dontaudit or not
      specified via auditallow.
    * Fix compilation of label_file.c with latest glibc headers.
    * add/reformat man pages by Guido Trentalancia <guido@trentalancia.com>.
    * Change exception.sh to be called with bash by Manoj Srivastava
      <srivasta@debian.org>
  * Bug fix: "memory leak", thanks to Sam Hocevar. Upstream fixed bug
    a wee bit differently.                              (Closes: #570639).


 -- Manoj Srivastava <srivasta@debian.org>  Sun, 28 Mar 2010 08:40:37 -0700

libselinux (2.0.89-4) unstable; urgency=low

  * Revert decision not to ship /selinux; instead, ask policy folks to add
    an exception.                                Closes: #496752

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Nov 2009 13:00:47 -0600

libselinux (2.0.89-3) unstable; urgency=low

  * Fix breakage in python-selinux.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Nov 2009 23:58:10 -0600

libselinux (2.0.89-2) unstable; urgency=low

  * [libselinux 16a76cd]: Do not ship /selinux
    Shipping /selinux is a violation of the FHS, and is proscribed by
    Debian policy. There is nothing that actually depends on /selinux
    being present, possibly apart from user scripts. From this point on,
    the machine operator will have to decide where to locate the mount
    point for selinuxfs, and modify /etc/fstab accordingly. SELinux
    modules scan for selinuxfs in /proc/mounts, so everything should
    adjust to the location of the selinuxfs mount automatically.
    Bug fix: "/selinux not in FHS", thanks to Kees Cook (Closes: #556972).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Nov 2009 01:16:30 -0600

libselinux (2.0.89-1) unstable; urgency=low


