=== debian/control ===
Source: libselinux
VCS-Git: git://git.debian.org/~srivasta/debian/libselinux.git
VCS-Browser: http://git.debian.org/git/?p=users/srivasta/debian/libselinux.git
Priority: optional
Section: libs
Maintainer: Russell Coker <russell@coker.com.au>
Uploaders: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.9.2
Build-Depends: file, libsepol1-dev (>= 2.1.0), python-all-dev (>= 2.6.6-3~),
               swig, gem2deb (>= 0.2.7~), pkg-config, debhelper (>= 8.1.3~)
X-Python-Version: >= 2.4
XS-Ruby-Versions: ruby1.8 ruby1.9.1

Package: selinux-utils
Architecture: linux-any
Section: admin
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SELinux utility programs
 This package provides various utility programs for a Security-enhanced
 Linux system. Security-enhanced Linux is a patch of the Linux kernel
 and a number of utilities with enhanced security functionality
 designed to add mandatory access controls to Linux. This package
 provides utility programs to get and set process and file security
 contexts and to obtain security policy decisions.

Package: libselinux1
Architecture: linux-any
Priority: required
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SELinux runtime shared libraries
 This package provides the shared libraries for Security-enhanced
 Linux that provides interfaces (e.g. library functions for the
 SELinux kernel APIs like getcon(), other support functions like
 getseuserbyname()) to SELinux-aware applications. Security-enhanced
 Linux is a patch of the Linux kernel and a number of utilities with
 enhanced security functionality designed to add mandatory access
 controls to Linux.  The Security-enhanced Linux kernel contains new
 architectural components originally developed to improve the security
 of the Flask operating system. These architectural components provide
 general support for the enforcement of many kinds of mandatory access
 control policies, including those based on the concepts of Type
 Enforcement, Role-based Access Control, and Multi-level Security.
 .
 libselinux1 provides an API for SELinux applications to get and set
 process and file security contexts and to obtain security policy
 decisions.  Required for any applications that use the SELinux
 API. libselinux may use the shared libsepol to manipulate the binary
 policy if necessary (e.g. to downgrade the policy format to an older
 version supported by the kernel) when loading policy.


Package: libselinux1-dev
Architecture: linux-any
Depends: ${misc:Depends}, libselinux1 (= ${binary:Version}),
 libsepol1-dev (>= 1.12)
Section: libdevel
Provides: libselinux-dev
Conflicts: libselinux-dev
Description: SELinux development headers
 This package provides the  static libraries and header files
 needed for developing SELinux applications.  Security-enhanced Linux
 is a patch of the Linux kernel and a number of utilities with
 enhanced security functionality designed to add mandatory access
 controls to Linux.  The Security-enhanced Linux kernel contains new
 architectural components originally developed to improve the security
 of the Flask operating system. These architectural components provide
 general support for the enforcement of many kinds of mandatory access
 control policies, including those based on the concepts of Type
 Enforcement, Role-based Access Control, and Multi-level Security.


Package: ruby-selinux
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, ruby | ruby-interpreter
Section: ruby
Conflicts: libselinux-ruby1.8 (<= 2.1.0-1)
Replaces: libselinux-ruby1.8 (<= 2.1.0-1)
Provides: libselinx-ruby1.8
Description: Ruby bindings to SELinux shared libraries
 This package provides the Ruby bindings needed for developing Ruby
 SELinux applications.  Security-enhanced Linux is a patch of the
 Linux kernel and a number of utilities with enhanced security
 functionality designed to add mandatory access controls to Linux.
 The Security-enhanced Linux kernel contains new architectural
 components originally developed to improve the security of the Flask
 operating system. These architectural components provide general
 support for the enforcement of many kinds of mandatory access control
 policies, including those based on the concepts of Type Enforcement,
 Role-based Access Control, and Multi-level Security.

## Transitional package
Package: libselinux-ruby1.8
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, ruby-selinux
Description: Transitional package for ruby-selinux
 This is a transitional package to ease upgrades to the ruby-selinux
 package.  It can be safely removed when nothing else depends on it.

Package: python-selinux
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Section: python
Conflicts: python2.4-selinux (<= 1.30-1), libselinux-dev (<= 1.28-1)
Replaces: python2.4-selinux, libselinux-dev
Provides: ${python:Provides}
Description: Python bindings to SELinux shared libraries
 This package provides the Python bindings needed for developing Python
 SELinux applications.
 .
 Security-enhanced Linux is a patch of the Linux kernel and a number
 of utilities with enhanced security functionality designed to add mandatory
 access controls to Linux. The Security-enhanced Linux kernel contains
 new architectural components originally developed to improve the security
 of the Flask operating system. These architectural components provide
 general support for the enforcement of many kinds of mandatory access
 control policies, including those based on the concepts of Type Enforcement,
 Role-based Access Control, and Multi-level Security.
